using Contracts.DTO;
using Contracts.ViewModels;

namespace Contracts.Mappers;

public static class ChangeRecordMapper
{
    public static ChangeRecordViewModel ToView(this ChangeRecordDto changeRecord) 
        => new() 
        { 
            Id = changeRecord.Id, 
            Sum = changeRecord.Sum, 
            ChangedAt = changeRecord.ChangedAt 
        }; 
}