using Contracts.DTO;
using Contracts.SearchModels;
using Contracts.ViewModels;

namespace Contracts.Services;

public interface ISpendingGroupService
{
    Task<SpendingGroupViewModel> GetDetails(SpendingGroupSearch search);
    Task<IEnumerable<SpendingGroupViewModel>> GetList(SpendingGroupSearch? search = null);
    Task<SpendingGroupViewModel> Create(SpendingGroupDto model);
    Task<SpendingGroupViewModel> Update(SpendingGroupDto model);
    Task<SpendingGroupViewModel> Delete(SpendingGroupSearch search);
}