using Contracts.DTO;
using Infrastructure.Models;

namespace Infrastructure.Support.Mappers;

public static class ChangeRecordMapper
{
    public static ChangeRecordDto ToDto(this ChangeRecord changeRecord) 
        => new() 
        {
            Id = changeRecord.Id,
            Sum = changeRecord.Sum,
            ChangedAt = changeRecord.ChangedAt,
            SpendingGroupId = changeRecord.SpendingGroupId,
            UserId = changeRecord.UserId
        };

    public static ChangeRecord ToModel(this ChangeRecordDto changeRecord) 
        => new() 
        {
            Id = changeRecord.Id,
            Sum = changeRecord.Sum,
            ChangedAt = changeRecord.ChangedAt,
            SpendingGroupId = changeRecord.SpendingGroupId,
            UserId = changeRecord.UserId
        };
}