using Contracts.DTO;
using Contracts.SearchModels;

namespace Contracts.Repositories;

public interface IChangeRecordRepo
{
    Task<ChangeRecordDto> Create(ChangeRecordDto changeRecord);
    Task<ChangeRecordDto?> Get(ChangeRecordSearch search);
    Task<IEnumerable<ChangeRecordDto>> GetList(ChangeRecordSearch? search = null);
    Task<ChangeRecordDto?> Update(ChangeRecordDto changeRecord);
    Task<ChangeRecordDto?> Delete(ChangeRecordSearch search);
}