using Contracts.DTO;
using Contracts.SearchModels;
using Contracts.ViewModels;

namespace Contracts.Services;

public interface IChangeRecordService
{
    Task<ChangeRecordViewModel> Create(ChangeRecordDto model);
    Task<ChangeRecordViewModel> Update(ChangeRecordDto model);
    Task<ChangeRecordViewModel> Delete(ChangeRecordSearch search);
    Task<IEnumerable<ChangeRecordViewModel>> GetList(ChangeRecordSearch search);
}